pnmpad(1)

NAME
pnmpad - add borders to portable anymap

SYNOPSIS
pnmpad [-verbose] [-white|-black]
[[[-width=width [-halign=ratio]] |
[-left=leftpad] [-right=rightpad]]]
[[[-height=height [-valign=ratio]] |
[-top=toppad] [-bottom=botpad]]]
[pnmfile] All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or an equals sign between an option name and its value.

DESCRIPTION
Reads a PNM image as input. Outputs a PNM image that is the input image plus black or white borders of the sizes specified. If you just need to convert an image to a certain size regardless of the original dimensions, pnmcut with the -pad option may be a better choice.

OPTIONS
-verbose
    Verbose output.
-white
-black (default)
    Set pad color.
-left leftpad
-right rightpad
-top toppad
-bottom bottompad
    Specify amount of padding in pixels.
-width width
    Set desired width of image. Overrides -left and -right if specified. If width is less than the actual image width, it is ignored. Use pnmcut(1) to cut off parts of images.
-height height
    Set desired height of image. Overrides -top and -bottom if specified. If height is less than the actual image height, it is ignored. Use pnmcut(1) to cut off parts of images.
-halign ratio
    A real number between 0 and 1. Used in conjunction with -width, sets the alignment ratio between left padding and right padding. Useful values:

    0.0 - left aligned;

    0.5 - center aligned (default);

    1.0 - right aligned.
-valign ratio
    A real number between 0 and 1. Used in conjunction with -height, sets the alignment ratio between bottom padding and top padding. Useful values:

    0.0 - bottom aligned;

    0.5 - center aligned (default);

    1.0 - top aligned.

HISTORY

Before February 2002,
    pnmpad had a different option syntax which was less expressive and not like conventional Netpbm programs. That syntax is still understood by pnmpad for backward compatibility, but not documented or supported for future use.

SEE ALSO
pbmmake(1), pnmpaste(1), pnmcut(1), pnmcrop(1), pbm(5)

AUTHOR
Copyright (C) 2002 by Martin van Beilen
Copyright (C) 1990 by Angus Duggan
Copyright (C) 1989 by Jef Poskanzer. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.